body {
  margin: 0;
  padding: 0;
  background-image: linear-gradient(rgb(0, 0, 0), rgba(1, 200, 255, 0.339)), url("./assets/background-pic3.jpg");
  background-size: cover;
  color: white;
  font-family: "Quicksand", sans-serif;
  display: grid;
  grid-template-columns: repeat(12, 1fr);
}

.hero {
  grid-column: span 12;
  position: relative;
  height: 100vh;
  /* Hero-section vovers the whole hight of the screen */
  overflow: hidden;
  box-shadow: 0 0 8px 0 rgba(0, 0, 0, 0.6);
}

.hero-video {
  width: 100%;
  height: 100%;
  object-fit: cover;
  position: absolute;
  top: 0;
  left: 0;
  z-index: 1;
}

.navbar {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 2;
  /* Higher z-index than the video to place navbar on top */
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 20px;
  box-sizing: border-box;
}

.navbar-logo img {
  width: 10vw;
  height: auto;
}

.navbar-menu ul {
  list-style: none;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0;
  gap: 60px;
}

.navbar-link {
  text-decoration: none;
  color: white;
  font-weight: bold;
}

.navbar-link:hover {
  color: orange;
}

button {
  padding: 10px 20px;
  border: none;
  border-radius: 25px;
  background-color: #ffffff2d;
  color: white;
  font-size: 16px;
  cursor: pointer;
  width: fit-content;
  /* Makes the width adapts after its content */
  margin: 0 auto;
  /* Center the button */
  display: block;
  /* makes the button center correct with auto-margin */
  transition: background-color 0.3s ease;
}

button:hover {
  background-color: orange;

}

/* makes the hamburger meny not being displayd in desktop view */
.hamburger-menu {
  display: none;
}

.signup {
  background-color: rgb(1, 15, 23);
  border-radius: 25px;
  margin: 10% 5% 5% 5%;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.6);
}

.signup-info {
  grid-column: span 6;
  margin-left: 10%;
  padding: 0 5%;
  display: flex;
  flex-direction: column-reverse;
  align-items: center;
  justify-content: center;
  text-align: center;
  font-size: 175%;
}

.signup-info img {
  width: 25%;
}

.signup-form {
  grid-column: span 6;
  margin-right: 10%;
  display: flex;
  justify-content: center;
  align-items: center;
}

form {
  display: flex;
  flex-direction: column;
  gap: 15px;
  max-width: 90%;
  margin: 0;
}

span {
  width: 30%;
  min-width: 100px;
  text-align: right;
}

/* Common styling for input fields and select */
input[type="text"],
input[type="email"],
input[type="password"],
select {
  width: 100%;
  /* makes all input-fields equally big */
  padding: 10px;
  border: none;
  border-radius: 25px;
  box-sizing: border-box;
  /* makes sure padding is not affecting total width */
  font-size: 16px;
}

/* Styling of checkbox */
input[type="checkbox"] {
  margin: 0 auto;
  /* distance to text */
}

.submit-button {
  margin-bottom: 15%;
}

.signup-form-label:hover {
  color: orange;
}

footer {
  grid-column: span 12;
  margin: 5%
}

.footer-column {
  list-style: none;
  padding: 0;
  margin: 10px;
}

.footer-column-label {
  font-weight: bold;
}

.footer-column-item {
  padding-top: 10px;
}

.footer-column-item-link {
  text-decoration: none;
  color: white;
}

.footer-column-item-link:hover {
  color: orange;
}

.business-info {
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  margin-bottom: 5%;
}

.personal-info {
  display: flex;
  justify-content: space-between;
  align-items: flex-end;
}

.personal-info img {
  width: auto;
  height: 5vw;
}

.personal-info-items {
  text-align: right;
}

.personal-info-items h4 {
  margin: 0;
  font-size: 10px;
  font-weight: normal;
}

/* For mobile phones */
@media (max-width: 667px) {
  .business-info {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
  }

  .navbar {
    background-color: rgb(1, 15, 23);
  }

  .navbar-menu {
    display: none;
  }

  .navbar-login {
    display: none;
  }

  .hamburger-menu {
    display: flex;
    font-size: 30px;
  }

  .signup {
    grid-column: span 12;
    margin: 0;
    border-radius: 0;
    box-shadow: none;
    flex-direction: column;
  }
}